Tests: Fix dockerfile not finding locales.
authoretisserant <edouard.tisserant@gmail.com>
Sun, 01 Jan 2023 23:10:16 +0100
changeset 3715 961903c0b76d
parent 3714 c3a13fcbda3a
child 3716 3dafdb6ad023
Tests: Fix dockerfile not finding locales.
tests/tools/Docker/Dockerfile
--- a/tests/tools/Docker/Dockerfile	Sun Jan 01 22:40:38 2023 +0100
+++ b/tests/tools/Docker/Dockerfile	Sun Jan 01 23:10:16 2023 +0100
@@ -17,12 +17,13 @@
 RUN groupadd -g $GID $UNAME
 RUN useradd -m -u $UID -g $GID -s /bin/bash $UNAME
 
-RUN apt-get install locales
-RUN locale-gen en_US.UTF-8
-RUN update-locale LANG=en_US.UTF-8
+RUN set -xe \
+    && apt-get update \
+    && apt-get install locales \
+    && locale-gen en_US.UTF-8 \
+    && update-locale LANG=en_US.UTF-8
 
 RUN set -xe \
-    && apt-get update \
     && TZ="America/Paris" \
        DEBIAN_FRONTEND="noninteractive" \
        apt-get install -y --no-install-recommends \